{% extends 'admin/layouts/admin_left_menu.html.twig' %}
{% block content %}

    {{ form_start(form) }}

    <div class="ibox-content m-b-sm border-bottom">
        <div class="row">
            <div class="col-lg-3 col-md-4 col-sm-6 col-xs-12">
                <div class="form-group">
                    {{ form_label(form.name) }}
                    {{ form_widget(form.name, {'attr': {'class': 'form-control'}}) }}
                    </br>
                    {% if form.state is defined %}
                        {{ form_label(form.state) }}
                        {{ form_widget(form.state, {'attr': {'class': 'form-control'}}) }}
                        </br>
                        {{ form_widget(form.save, {'attr': {'class': 'btn btn-primary btn-sm'}}) }}
                    {% else %}
                        </br>
                        {{ form_widget(form.add, {'attr': {'class': 'btn btn-primary btn-sm'}}) }}
                    {% endif %}
                </div>
            </div>
        </div>
    </div>

    {{ form_end(form) }}

    {% if flows is defined %}
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">

                        {% if flows is empty %}

                            {{ 'No flows defined for this project yet'|trans }}
                            <a class="btn btn-primary btn-sm" href="{{ path('flow_add', { 'projectId': project.id }) }}">{{ 'Add flow'|trans }}</a>

                        {% else %}

                            <table class="footable table table-stripped toggle-arrow-tiny footable-loaded tablet breakpoint" data-page-size="15">
                                <thead>
                                <tr>
                                    <th data-toggle="true" class="footable-visible footable-sortable footable-first-column">Flows<span class="footable-sort-indicator"></span></th>
                                    <th class="text-right footable-visible footable-last-column" data-sort-ignore="true">Action</th>
                                </tr>
                                </thead>
                                <tbody>

                                {% for flow in flows %}

                                <tr class="footable-even" style="">
                                    <td class="footable-visible footable-first-column"><span class="footable-toggle"></span>
                                        <a class="state-{{ flow.state }}" href="{{ path('flow_edit', { 'projectId': project.id, 'flowId': flow.id }) }}">{{ flow.name }}</a>
                                    </td>
                                    <td class="text-right footable-visible footable-last-column">
                                        <div class="btn-group">
                                            <a class="btn-white btn btn-sm" href="{{ path('flow_edit', { 'projectId': project.id, 'flowId': flow.id }) }}">Edit flow</a>
                                        </div>
                                    </td>
                                </tr>

                                {% endfor %}

                                <tr class="footable-even" style="">
                                    <td></td>
                                    <td class="text-right footable-visible footable-last-column">
                                        <a class="btn btn-primary btn-sm" href="{{ path('flow_add', { 'projectId': project.id }) }}">{{ 'Add flow'|trans }}</a>
                                    </td>
                                </tr>
                                </tbody>
                            </table>

                        {% endif %}

                </div>
            </div>
        </div>
    </div>
    {% endif %}
{% endblock %}






